API ReferenceBoard Column
Creates a BoardColumn resource
POST
Creates a BoardColumn resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new BoardColumn resource
- body
name*stringLength
length <= 100decorator*stringValue in
"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"status*stringValue in
"todo""in-progress""done"board*stringFormat
uuidweight?|Range
0 <= valuepositionBoardColumn?|Format
uuidposition?|Default
"before"Value in
"before""after"BoardColumn resource created
- response
id?stringFormat
uuidname?stringLength
length <= 100board?stringFormat
uuidcreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timedecorator?stringValue in
"#78909c""#2490e3""#44a069""#987284""#d32f2f""#f57f17""#003366""#00bfa5""#ee7674""#9c27b0"weight?integerstatus?stringValue in
"todo""in-progress""done"curl -X POST 'https://app.icproject.com/api/instance/demo/project/board-columns' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "decorator": "#78909c", "status": "todo", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "decorator": "#78909c", "weight": 0, "status": "todo"}